Bug 142453 - RFE: add reload and force-reload init script actions
RFE: add reload and force-reload init script actions
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
: FutureFeature, Patch
Depends On: 142451
Blocks: 145007
  Show dependency treegraph
Reported: 2004-12-09 15:16 EST by Ville Skyttä
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-03 09:49:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
reload and force-reload actions for pcmcia init script (659 bytes, patch)
2004-12-09 15:16 EST, Ville Skyttä
no flags Details | Diff
Candidate #2 - use pid file (693 bytes, patch)
2005-04-04 23:40 EDT, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2004-12-09 15:16:39 EST
Real LSB-compliant "reload" and "force-reload" actions in /etc/init.d/pcmcia
would be useful.  Suggested implementation attached.
Comment 1 Ville Skyttä 2004-12-09 15:16:39 EST
Created attachment 108254 [details]
reload and force-reload actions for pcmcia init script
Comment 2 Ville Skyttä 2004-12-09 15:21:18 EST
Oh, and in order to make the exit codes in this patch (and otherwise in
/etc/init.d/pcmcia) work, see bug 142451.
Comment 3 Ville Skyttä 2005-01-19 14:40:29 EST
Dave, I noticed you did some cleanup in the pcmcia-cs init script in Rawhide,
how about including this patch and the fix from bug 142451 while at it too?
Comment 4 Pete Zaitcev 2005-03-02 19:28:03 EST
We claim LSB 1.3 here:

LSB 1.3 (and 2.1.0) clause 14.2 says that reload is optional. It also says:
 - force-reload is not optional (we not have it, so we're not compliant)
 - exit code 7 is reserved for the future
I don't think we should take the requested patch for RHEL 4 as is, but it's
obvious that something has to be done for LSB 2.x compliance. OTOH, it looks
that LSB is a rather broken standard, because nobody in their right mind
provides force-reload. Perhaps we ought to take an RFE for plain reload.

Comment 6 Bill Nottingham 2005-03-03 00:05:44 EST
LSB compliance involves supporting such functions for potential third-party
scripts; it does not apply to the system scripts as shipped.
Comment 7 Ville Skyttä 2005-03-21 15:49:52 EST
Note that the "meat" in this RFE is support for the reload/force-reload actions
in the first place, not LSB per se.  I just thought making them LSB compliant
would be a good idea.  Adjusting summary accordingly.
Comment 8 Warren Togami 2005-03-21 17:52:03 EST
Can we add this to FC4 at least?
Comment 9 Pete Zaitcev 2005-04-04 23:39:28 EDT
Warren, yes, I think it's a good patch. However, I do not like the use of pidof.
I guess that it's used in "status" command to return "real" information in case
cardmgr was killed with -9. This consideration is not applicable in case of the
"reload" command.

My disagreement about exit code 7 was ill-founded. I read the spec inattentively.
Comment 10 Pete Zaitcev 2005-04-04 23:40:35 EDT
Created attachment 112696 [details]
Candidate #2 - use pid file
Comment 12 Ville Skyttä 2005-04-07 18:15:18 EDT
No objections here.  On the other hand, with recent changes in 2.6.11+ kernels,
I gather cardmgr will be obsolete soon anyway.
Comment 13 Jay Turner 2005-04-16 06:22:15 EDT
This package isn't built for RHEL-4.  In addition, there's already a pcmcia-cs
errata for U1 which is in NEEDRHNQA, so I don't see the benefit to cracking it
open to get this fix in.
Comment 14 Ville Skyttä 2005-04-16 07:05:50 EDT
I see this has been committed to CVS/devel, but there's no new package available
in Rawhide yet.  Could it be built?
Comment 15 John Thacker 2006-10-29 18:12:26 EST
pcmcia-cs is obsolete and has been removed from Fedora Core.  It is not present
in FC5 or FC6, the only fully supported versions of Fedora Core.  (FC3 and FC4
are supported by Fedora Legacy for security fixes only.)  It has been replaced
by pcmciautils.  Due to the change in codebase, can you please retest this bug
against pcmciautils in FC5 or FC6?  If the bug is still present there, please
change the Component to pcmciautils and the version appropriately.  Thanks!

If there is no response within several weeks, the bug will be closed.
Comment 16 John Thacker 2007-01-03 09:49:50 EST
Per the previous comment, closing bug since pcmcia-cs is no longer supported. 
If a similar bug still exists in pcmciautils, the replacement for pcmcia-cs,
please reopen the bug or file a new one.

Note You need to log in before you can comment on or make changes to this bug.